org.apache.jmeter.report.processor

## Class MeanAggregatorFactory

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractAggregatorFactory
  - - org.apache.jmeter.report.processor.MeanAggregatorFactory

All Implemented Interfaces:
  AggregatorFactory

    public class MeanAggregatorFactory
    extends AbstractAggregatorFactory

A factory for creating MeanAggregator objects.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`MeanAggregatorFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Aggregator` `createAggregator()`

### Methods inherited from class org.apache.jmeter.report.processor.AbstractAggregatorFactory

`createAggregatedKeyValueAggregator, createKeyAggregator, createValueAggregator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MeanAggregatorFactory

    public MeanAggregatorFactory()

### Method Detail

#### createAggregator

    protected Aggregator createAggregator()

Specified by:
  `createAggregator` in class `AbstractAggregatorFactory`